------------------------------------------------------------
-- DisableBlizzard.lua
--
-- Abin
-- 2012/1/03
------------------------------------------------------------

local _, addon = ...
local L = addon.L

UIParent:UnregisterEvent("RAID_ROSTER_UPDATE")

local function DisableBlizzardFrame(frame)
	if frame then
		frame:UnregisterAllEvents()
		frame:SetScript("OnEvent", nil)
		frame:SetScript("OnUpdate", nil)
		frame:Hide()
		frame:EnableMouse(false)
		frame:EnableKeyboard(false)
		frame:SetAlpha(0)
		frame:SetScale(0.01)
		RegisterStateDriver(frame, "visibility", "hide")
	end
end

DisableBlizzardFrame(CompactRaidFrameManager)
DisableBlizzardFrame(CompactRaidFrameContainer)
DisableBlizzardFrame(CompactUnitFrameProfilesGeneralOptionsFrame)
DisableBlizzardFrame(CompactUnitFrameProfilesRaidStylePartyFrames)
DisableBlizzardFrame(CompactUnitFrameProfilesProfileSelector)
DisableBlizzardFrame(CompactUnitFrameProfilesSaveButton)
DisableBlizzardFrame(CompactUnitFrameProfilesDeleteButton)

-- Display some infomation so the user won't get confused when he sees a blank page
local prompt = CompactUnitFrameProfiles:CreateFontString(nil, "ARTWORK", "GameFontNormal")
prompt:SetText(L["over ride prompt"])
prompt:SetPoint("TOP", 0, -120)

local button = CreateFrame("Button", "CompactRaidOverrideButton", CompactUnitFrameProfiles, "UIPanelButtonTemplate")
button:SetSize(120, 24)
button:SetPoint("TOP", prompt, "BOTTOM", 0, -16)
button:SetText(SETTINGS)
button:SetScript("OnClick", function(self) addon.optionFrame:Show() end)